[Unit]
Description=Starts/stops the submit tunnel monitor daemon
After=syslog.target time-sync.target identityman.service

[Service]
Type=forking
User=gridman
ExecStart=/opt/submit/monitorTunnel.py
PIDFile=/var/run/submit/submit-tunnel.pid
PermissionsStartOnly=true
ExecStartPre=/usr/bin/install --owner root --group gridman --mode 0774 --directory /var/run/submit
Environment=PYTHONUNBUFFERED=1
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=SUBMITTUNNELMON
#Environment=MONITORLOGLEVEL=INFO
#Environment=MONITORSYSLOGLOCAL=LOCAL3
#Environment=MONITORSYSLOGIDENTIFIER=SUBMITTUNNELMON
#Environment=MONITORPIDFILE=/var/run/submit/submit-tunnel.pid
#Environment=DAEMONSDIRECTORY=/etc/submit
#Environment=DAEMONSCONFIGURATIONFILE=daemons.conf
#Environment=INFOSDIRECTORY=/etc/submit
#Environment=INFOSCONFIGURATIONFILE=infos.conf
#Environment=ACTIVITYUPDATEINTERVAL=900

[Install]
WantedBy=multi-user.target

